summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-10-01 13:54:38 +0000
committerDan Armak <danarmak@gentoo.org>2001-10-01 13:54:38 +0000
commit59c21a1dd45215879de844d5db13cd09ddc266bc (patch)
tree9d652b014281cc1c96b3cc4cf41bcbd2d2d6069e /eclass/base.eclass
parenteclasses v3. read the gentoo-dev announcement, and news.txt and howto.* (diff)
downloadgentoo-2-59c21a1dd45215879de844d5db13cd09ddc266bc.tar.gz
gentoo-2-59c21a1dd45215879de844d5db13cd09ddc266bc.tar.bz2
gentoo-2-59c21a1dd45215879de844d5db13cd09ddc266bc.zip
eclasses v3.1
added debug.eclass and fixed many bugs
Diffstat (limited to 'eclass/base.eclass')
-rw-r--r--eclass/base.eclass86
1 files changed, 43 insertions, 43 deletions
diff --git a/eclass/base.eclass b/eclass/base.eclass
index 8937f226a6ba..45d38ba785f8 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,10 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.5 2001/10/01 11:04:22 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.6 2001/10/01 13:54:38 danarmak Exp $
# The base eclass defines some default functions and variables. Nearly everything
# else inherits from here.
-. /usr/portage/eclass/inherit.eclass || die
inherit virtual || die
ECLASS=base
@@ -12,50 +11,51 @@ S=${WORKDIR}/${P}
DESCRIPTION="Based on the $ECLASS eclass"
base_src_unpack() {
-
- echo "in base_src_unpack, 1st parameter is $1"
- [ -z "$1" ] && base_src_unpack all
-
- while [ "$1" ]; do
-
+
+ debug-print-function base_src_unpack $*
+ [ -z "$1" ] && base_src_unpack all
+
+ while [ "$1" ]; do
+
case $1 in
- unpack)
- echo "in base_src_unpack, action unpack"
- unpack ${A}
- ;;
+ unpack)
+ debug-print-section unpack
+ unpack ${A}
+ ;;
patch)
- cd ${S}
- patch -p0 < ${FILESDIR}/${P}-gentoo.diff
- ;;
+ debug-print-section patch
+ cd ${S}
+ patch -p0 < ${FILESDIR}/${P}-gentoo.diff
+ ;;
all)
- echo "in base_src_unpack, action all"
- base_src_unpack unpack
- ;;
- esac
-
- shift
- done
+ debug-print-section all
+ base_src_unpack unpack
+ ;;
+ esac
+
+ shift
+ done
}
base_src_compile() {
- echo "in base_src_compile, 1st parameter is $1"
+ debug-print-function base_src_compile $*
[ -z "$1" ] && base_src_compile all
-
+
while [ "$1" ]; do
-
+
case $1 in
configure)
- echo "in base_src_compile, action configure"
+ debug-print-section configure
./configure || die
;;
make)
- echo "in base_src_compile, action make"
+ debug-print-section make
make || die
;;
all)
- echo "in base_src_compile, action all"
+ debug-print-section all
base_src_compile configure make
;;
esac
@@ -67,25 +67,25 @@ base_src_compile() {
base_src_install() {
- echo "in base_src_install, 1st parameter is $1"
- [ -z "$1" ] && base_src_install all
+ debug-print-function base_src_install $*
+ [ -z "$1" ] && base_src_install all
+
+ while [ "$1" ]; do
- while [ "$1" ]; do
-
case $1 in
- make)
- echo "in base_src_install, action make"
- make DESTDIR=${D} install || die
- ;;
+ make)
+ debug-print-section make
+ make DESTDIR=${D} install || die
+ ;;
all)
- echo "in base_src_install, action all"
- base_src_install make
- ;;
+ debug-prnit-section all
+ base_src_install make
+ ;;
esac
-
- shift
- done
-
+
+ shift
+ done
+
}
EXPORT_FUNCTIONS src_unpack src_compile src_install